/*
Grid System
Custom properties

*/

:root{
  --space: 1rem;
  --column-number: 16;
  --column-width: calc(100% / var(--column-number));
  --grid-gap: var(--space);
}


/*Grid System*/

.grid{
  display: flex;
  flex-wrap: wrap;
}

.grid > * {
  height: 50px;
  background: grey;
}

[class*="grid-gap"]{
  margin-left: calc(var(--grid-gap)* -1);
  margin-bottom: calc(var(--grid-gap)* -1);
}

[class*="grid-gap"] > * {
  margin-left: calc(var(--grid-gap)*1);
  margin-bottom: calc(var(--grid-gap)*1);
}

.col-1{
  flex-basis:var(--column-width);
  max-width:var(--column-width);
}

.col-2{
  flex-basis: calc(var(--column-width) * 2);
  max-width: calc(var(--column-width) * 2);
}

.col-3{
  flex-basis: calc(var(--column-width) * 3);
  max-width: calc(var(--column-width) * 3);
}

.col-4{
  flex-basis: calc(var(--column-width) * 4);
  max-width: calc(var(--column-width) * 4);
}

.col-5{
  flex-basis: calc(var(--column-width) * 5);
  max-width: calc(var(--column-width) * 5);
}

.col-6{
  flex-basis: calc(var(--column-width) * 6);
  max-width: calc(var(--column-width) * 6);
}

.col-7{
  flex-basis: calc(var(--column-width) * 7);
  max-width: calc(var(--column-width) * 7);
}

.col-8{
  flex-basis: calc(var(--column-width) * 8);
  max-width: calc(var(--column-width) * 8);
}

.col-9{
  flex-basis: calc(var(--column-width) * 9);
  max-width: calc(var(--column-width) * 9);
}

.col-10{
  flex-basis: calc(var(--column-width) * 10);
  max-width: calc(var(--column-width) * 10);
}

.col-11{
  flex-basis: calc(var(--column-width) * 11);
  max-width: calc(var(--column-width) * 11);
}

.col-12{
  flex-basis: calc(var(--column-width) * 12);
  max-width: calc(var(--column-width) * 12);
}

.col-13{
  flex-basis: calc(var(--column-width) * 13);
  max-width: calc(var(--column-width) * 13);
}

.col-14{
  flex-basis: calc(var(--column-width) * 14);
  max-width: calc(var(--column-width) * 14);
}

.col-15{
  flex-basis: calc(var(--column-width) * 15);
  max-width: calc(var(--column-width) * 15);
}

.col-16{
  flex-basis: calc(var(--column-width) * 16);
  max-width: calc(var(--column-width) * 16);
}


/*Media Queries*/

/*sm 48em*/
@media (min-width: 576px){

  .col-sm-1{
    flex-basis:var(--column-width);
    max-width:var(--column-width);
  }

  .col-sm-2{
    flex-basis: calc(var(--column-width) * 2);
    max-width: calc(var(--column-width) * 2);
  }

  .col-sm-3{
    flex-basis: calc(var(--column-width) * 3);
    max-width: calc(var(--column-width) * 3);
  }

  .col-sm-4{
    flex-basis: calc(var(--column-width) * 4);
    max-width: calc(var(--column-width) * 4);
  }

  .col-sm-5{
    flex-basis: calc(var(--column-width) * 5);
    max-width: calc(var(--column-width) * 5);
  }

  .col-sm-6{
    flex-basis: calc(var(--column-width) * 6);
    max-width: calc(var(--column-width) * 6);
  }

  .col-sm-7{
    flex-basis: calc(var(--column-width) * 7);
    max-width: calc(var(--column-width) * 7);
  }

  .col-sm-8{
    flex-basis: calc(var(--column-width) * 8);
    max-width: calc(var(--column-width) * 8);
  }

  .col-sm-9{
    flex-basis: calc(var(--column-width) * 9);
    max-width: calc(var(--column-width) * 9);
  }

  .col-sm-10{
    flex-basis: calc(var(--column-width) * 10);
    max-width: calc(var(--column-width) * 10);
  }

  .col-sm-11{
    flex-basis: calc(var(--column-width) * 11);
    max-width: calc(var(--column-width) * 11);
  }

  .col-sm-12{
    flex-basis: calc(var(--column-width) * 12);
    max-width: calc(var(--column-width) * 12);
  }

  .col-sm-13{
    flex-basis: calc(var(--column-width) * 13);
    max-width: calc(var(--column-width) * 13);
  }

  .col-sm-14{
    flex-basis: calc(var(--column-width) * 14);
    max-width: calc(var(--column-width) * 14);
  }

  .col-sm-15{
    flex-basis: calc(var(--column-width) * 15);
    max-width: calc(var(--column-width) * 15);
  }

  .col-sm-16{
    flex-basis: calc(var(--column-width) * 16);
    max-width: ;: calc(var(--column-width) * 16);
  }

}
/*md 64em*/
@media (min-width: 768px){
  .col-md-1{
    flex-basis:var(--column-width);
    max-width:var(--column-width);
  }

  .col-md-2{
    flex-basis: calc(var(--column-width) * 2);
    max-width: calc(var(--column-width) * 2);
  }

  .col-md-3{
    flex-basis: calc(var(--column-width) * 3);
    max-width: calc(var(--column-width) * 3);
  }

  .col-md-4{
    flex-basis: calc(var(--column-width) * 4);
    max-width: calc(var(--column-width) * 4);
  }

  .col-md-5{
    flex-basis: calc(var(--column-width) * 5);
    max-width: calc(var(--column-width) * 5);
  }

  .col-md-6{
    flex-basis: calc(var(--column-width) * 6);
    max-width: calc(var(--column-width) * 6);
  }

  .col-md-7{
    flex-basis: calc(var(--column-width) * 7);
    max-width: calc(var(--column-width) * 7);
  }

  .col-md-8{
    flex-basis: calc(var(--column-width) * 8);
    max-width: calc(var(--column-width) * 8);
  }

  .col-md-9{
    flex-basis: calc(var(--column-width) * 9);
    max-width: calc(var(--column-width) * 9);
  }

  .col-md-10{
    flex-basis: calc(var(--column-width) * 10);
    max-width: calc(var(--column-width) * 10);
  }

  .col-md-11{
    flex-basis: calc(var(--column-width) * 11);
    max-width: calc(var(--column-width) * 11);
  }

  .col-md-12{
    flex-basis: calc(var(--column-width) * 12);
    max-width: calc(var(--column-width) * 12);
  }

  .col-md-13{
    flex-basis: calc(var(--column-width) * 13);
    max-width: calc(var(--column-width) * 13);
  }

  .col-md-14{
    flex-basis: calc(var(--column-width) * 14);
    max-width: calc(var(--column-width) * 14);
  }

  .col-md-15{
    flex-basis: calc(var(--column-width) * 15);
    max-width: calc(var(--column-width) * 15);
  }

  .col-md-16{
    flex-basis: calc(var(--column-width) * 16);
    max-width: ;: calc(var(--column-width) * 16);
  }
}
/*lg 80em*/
@media (min-width: 992px){
  .col-lg-1{
    flex-basis:var(--column-width);
    max-width:var(--column-width);
  }

  .col-lg-2{
    flex-basis: calc(var(--column-width) * 2);
    max-width: calc(var(--column-width) * 2);
  }

  .col-lg-3{
    flex-basis: calc(var(--column-width) * 3);
    max-width: calc(var(--column-width) * 3);
  }

  .col-lg-4{
    flex-basis: calc(var(--column-width) * 4);
    max-width: calc(var(--column-width) * 4);
  }

  .col-lg-5{
    flex-basis: calc(var(--column-width) * 5);
    max-width: calc(var(--column-width) * 5);
  }

  .col-lg-6{
    flex-basis: calc(var(--column-width) * 6);
    max-width: calc(var(--column-width) * 6);
  }

  .col-lg-7{
    flex-basis: calc(var(--column-width) * 7);
    max-width: calc(var(--column-width) * 7);
  }

  .col-lg-8{
    flex-basis: calc(var(--column-width) * 8);
    max-width: calc(var(--column-width) * 8);
  }

  .col-lg-9{
    flex-basis: calc(var(--column-width) * 9);
    max-width: calc(var(--column-width) * 9);
  }

  .col-lg-10{
    flex-basis: calc(var(--column-width) * 10);
    max-width: calc(var(--column-width) * 10);
  }

  .col-lg-11{
    flex-basis: calc(var(--column-width) * 11);
    max-width: calc(var(--column-width) * 11);
  }

  .col-lg-12{
    flex-basis: calc(var(--column-width) * 12);
    max-width: calc(var(--column-width) * 12);
  }

  .col-lg-13{
    flex-basis: calc(var(--column-width) * 13);
    max-width: calc(var(--column-width) * 13);
  }

  .col-lg-14{
    flex-basis: calc(var(--column-width) * 14);
    max-width: calc(var(--column-width) * 14);
  }

  .col-lg-15{
    flex-basis: calc(var(--column-width) * 15);
    max-width: calc(var(--column-width) * 15);
  }

  .col-lg-16{
    flex-basis: calc(var(--column-width) * 16);
    max-width: ;: calc(var(--column-width) * 16);
  }
}
/*xl 90em*/
@media (min-width: 1200px){
  .col-xl-1{
    flex-basis:var(--column-width);
    max-width:var(--column-width);
  }

  .col-xl-2{
    flex-basis: calc(var(--column-width) * 2);
    max-width: calc(var(--column-width) * 2);
  }

  .col-xl-3{
    flex-basis: calc(var(--column-width) * 3);
    max-width: calc(var(--column-width) * 3);
  }

  .col-xl-4{
    flex-basis: calc(var(--column-width) * 4);
    max-width: calc(var(--column-width) * 4);
  }

  .col-xl-5{
    flex-basis: calc(var(--column-width) * 5);
    max-width: calc(var(--column-width) * 5);
  }

  .col-xl-6{
    flex-basis: calc(var(--column-width) * 6);
    max-width: calc(var(--column-width) * 6);
  }

  .col-xl-7{
    flex-basis: calc(var(--column-width) * 7);
    max-width: calc(var(--column-width) * 7);
  }

  .col-xl-8{
    flex-basis: calc(var(--column-width) * 8);
    max-width: calc(var(--column-width) * 8);
  }

  .col-xl-9{
    flex-basis: calc(var(--column-width) * 9);
    max-width: calc(var(--column-width) * 9);
  }

  .col-xl-10{
    flex-basis: calc(var(--column-width) * 10);
    max-width: calc(var(--column-width) * 10);
  }

  .col-xl-11{
    flex-basis: calc(var(--column-width) * 11);
    max-width: calc(var(--column-width) * 11);
  }

  .col-xl-12{
    flex-basis: calc(var(--column-width) * 12);
    max-width: calc(var(--column-width) * 12);
  }

  .col-xl-13{
    flex-basis: calc(var(--column-width) * 13);
    max-width: calc(var(--column-width) * 13);
  }

  .col-xl-14{
    flex-basis: calc(var(--column-width) * 14);
    max-width: calc(var(--column-width) * 14);
  }

  .col-xl-15{
    flex-basis: calc(var(--column-width) * 15);
    max-width: calc(var(--column-width) * 15);
  }

  .col-xl-16{
    flex-basis: calc(var(--column-width) * 16);
    max-width: ;: calc(var(--column-width) * 16);
  }
}
